%define bname qalculate

%define major 22
%define libname %mklibname %{bname} %{major}
%define develname %mklibname %{bname} -d

Summary:	The library for qalculate
Name:		libqalculate
Version:	4.8.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		https://qalculate.github.io/
Source0:	https://github.com/Qalculate/libqalculate/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(mpfr)
BuildRequires:	readline-devel

%description
Libraries needed by qalculator.

%package -n %{libname}
Group:		System/Libraries
Summary:	The library for qalculate
Obsoletes: lib64qalculate21
Obsoletes: lib64qalculate13
Obsoletes: lib64qalculate6

%description -n %{libname}
Libraries needed by qalculate.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:   %{bname}-devel
Provides:	%{name}-devel

%description -n %{develname}
Headers and development files for %{name}.

%prep
%setup -q

%build
./autogen.sh
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete
rm -rf %buildroot/%{_datadir}/doc

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/qalc
%{_datadir}/%{bname}/
%{_datadir}/man/man1/qalc.1.bz2

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Sep 21 2023 tex - 4.8.0-1pclos2023
- new version

* Tue Apr 18 2023 tex - 4.6.0-1pclos2023
- new version

* Fri Jan 06 2023 tex - 4.5.1-1pclos2023
- new version

* Tue Dec 20 2022 tex - 4.5.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 4.3.0-3pclos2022
- rebuild against updates

* Mon Sep 12 2022 tex - 4.3.0-2pclos2022
- rebuild against updates

* Sun Aug 28 2022 tex - 4.3.0-1pclos2022
- new version

* Fri Jun 24 2022 tex - 4.2.0-1pclos2022
- new version

* Wed Dec 22 2021 tex - 3.22.0-1pclos2022
- new version

* Fri Oct 15 2021 tex - 3.21.0-3pclos2021
- rebuild against updates

* Fri Oct 15 2021 tex - 3.21.0-2pclos2021
- rebuild against updates

* Thu Oct 14 2021 tex - 3.21.0-1pclos2021
- new version

* Sun Sep 19 2021 tex - 3.20.1-2pclos2021
- rebuild against updates

* Thu Jul 29 2021 tex - 3.20.1-1pclos2021
- new version

* Mon Jun 14 2021 tex - 3.19.0-1pclos2021
- new version

* Sun Feb 28 2021 tex - 3.17.0-1pclos2021
- new version

